Subject: Re: [RFC/PATCH] checkout: allow dwim for branch creation for "git checkout $branch --"

From: Junio C Hamano <[email-masked]>
Date: Wed, 16 Oct 2013 14:39:15 -0700

Matthieu Moy <[email-masked]> writes:

> Duy Nguyen <[email-masked]> writes:
>
>> has_dash_dash is calculated as (argc > 1) && !strcmp(argv[1], "--"),
>> so when argc == 1, the has_dash_dash must be zero, the "&&
>> !has_dash_dash" is redundant.
>
> Yes, but I'd rather not have to read the detailed definition of
> has_dash_dash to understand the code. With my version, the name of the
> variable is actually sufficient to understand.
>
>> But it makes me wonder what we do with "git checkout abc def -- xyz".
>
> Ouch. Both old and new say
> ...
> I'll resend, together with tweaks to the first patch.

Did anything further happen to this discussion?  Is v3 the version
with agreement among the list members I just should pick up?